package com.ruoyi.business.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 【请填写功能名称】对象 t_ebs_record
 * 
 * @author wms
 * @date 2022-11-15
 */
@TableName("t_ebs_record")
public class TEbsRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ebs接口记录标识 */
    @TableId(value = "record_id")
    private int recordId;

    /** ebs接口方法名称 */
    @Excel(name = "ebs接口方法名称")
    @TableField("method_name")
    private String methodName;

    /** 物料编码 */
    @Excel(name = "物料编码")
    @TableField("goods_id")
    private String goodsId;

    /** 物料描述 */
    @Excel(name = "物料描述")
    @TableField("goods_name")
    private String goodsName;

    /** 批次号 */
    @Excel(name = "批次号")
    @TableField("lot_id")
    private String lotId;

    /** 数量 */
    @Excel(name = "数量")
    @TableField("quantity")
    private BigDecimal quantity;

    /** ebs接口标识 */
    @Excel(name = "ebs接口标识")
    @TableField("api_id")
    private int apiId;

    /** 接口地址 */
    @Excel(name = "接口地址")
    @TableField("api_url")
    private String apiUrl;

    /** ebs接口参数 */
    @Excel(name = "ebs接口参数")
    @TableField("api_param")
    private String apiParam;

    /** ebs结果 */
    @Excel(name = "ebs返回结果")
    @TableField("result")
    private String result;

    /** 接口对接状态 */
    @Excel(name = "接口对接状态")
    @TableField("status")
    private String status;

    /** 接口描述 */
    @Excel(name = "接口描述")
    @TableField("description")
    private String description;


    /** 接口调用时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "接口调用时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @TableField("operate_time")
    private Date operateTime;

    public TEbsRecord() {
    }

    public TEbsRecord(String methodName, int apiId, String apiUrl, String apiParam, String result, String status, String description, String goodsId, String goodsName, String lotId, BigDecimal quantity) {
        this.methodName = methodName;
        this.apiId = apiId;
        this.apiUrl = apiUrl;
        this.apiParam = apiParam;
        this.result = result;
        this.status = status;
        this.description = description;
        this.goodsId = goodsId;
        this.goodsName = goodsName;
        this.lotId = lotId;
        this.quantity = quantity;
    }

    public void setRecordId(int recordId)
    {
        this.recordId = recordId;
    }

    public int getRecordId()
    {
        return recordId;
    }
    public void setMethodName(String methodName) 
    {
        this.methodName = methodName;
    }

    public String getMethodName() 
    {
        return methodName;
    }
    public void setApiId(int apiId)
    {
        this.apiId = apiId;
    }

    public int getApiId()
    {
        return apiId;
    }
    public void setApiUrl(String apiUrl) 
    {
        this.apiUrl = apiUrl;
    }

    public String getApiUrl() 
    {
        return apiUrl;
    }
    public void setApiParam(String apiParam) 
    {
        this.apiParam = apiParam;
    }

    public String getApiParam() 
    {
        return apiParam;
    }
    public void setResult(String result) 
    {
        this.result = result;
    }

    public String getResult() 
    {
        return result;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setDescription(String description) 
    {
        this.description = description;
    }

    public String getDescription() 
    {
        return description;
    }

    public Date getOperateTime() {
        return operateTime;
    }

    public void setOperateTime(Date operateTime) {
        this.operateTime = operateTime;
    }

    public void setGoodsId(String goodsId)
    {
        this.goodsId = goodsId;
    }

    public String getGoodsId()
    {
        return goodsId;
    }
    public void setGoodsName(String goodsName)
    {
        this.goodsName = goodsName;
    }

    public String getGoodsName()
    {
        return goodsName;
    }
    public void setLotId(String lotId)
    {
        this.lotId = lotId;
    }

    public String getLotId()
    {
        return lotId;
    }
    public void setQuantity(BigDecimal quantity)
    {
        this.quantity = quantity;
    }

    public BigDecimal getQuantity()
    {
        return quantity;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("recordId", getRecordId())
            .append("methodName", getMethodName())
            .append("apiId", getApiId())
            .append("apiUrl", getApiUrl())
            .append("apiParam", getApiParam())
            .append("result", getResult())
            .append("status", getStatus())
            .append("description", getDescription())
            .append("operateTime", getOperateTime())
            .append("goodsId", getGoodsId())
            .append("goodsName", getGoodsName())
            .append("lotId", getLotId())
            .append("quantity", getQuantity())
            .toString();
    }
}
